﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Automation;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace TreeView
{
    public class DataItem : ViewModelBase
    {
        public DataItem()
        {
            this.Children = new ObservableCollection<DataItem>();
        }
        
        private ToggleState _checkedState;

        public ToggleState CheckedState
        {
            get { return _checkedState; }
            set
            {
                _checkedState = value;
                this.OnPropertyChanged("CheckedState");
            }
        }

        
     

        public string  Name { get; set; }

        public ObservableCollection<DataItem> Children
        {
            get;
            set;
        }
    }
}
